Bug 128188 - Very slow network I/O with kernel 2.6.7-1.492
Very slow network I/O with kernel 2.6.7-1.492
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-07-19 16:32 EDT by H.J. Lu
Modified: 2015-01-04 17:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-26 23:42:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2004-07-19 16:32:45 EDT
When I run kernel 2.6.7-1.492 SMP on a P4 HT machine running
FC 2, disk I/O becomes very slow. "bk pull" used to take 10
minutes now takes several hours. cvs operation is also very slow.
Comment 1 H.J. Lu 2004-07-19 16:35:39 EDT
It looks like maybe a networking issue. I will keep an eye on it.
Comment 2 H.J. Lu 2004-07-21 23:19:32 EDT
Network performance in 2.6.7-1.492 is very bad. ssh, cvs and
bk are very slow from remote server. Another machine on the same
network running 2.4.21-15.EL is OK.
Comment 3 H.J. Lu 2004-07-22 13:34:33 EDT
After I booted RHEL 3 U2 on the same machine where 2.6.7-1.492 + FC 2
gave me very poort network performance, my network performance went
back to normal.
Comment 4 Bill Nottingham 2004-08-05 16:26:31 EDT
Does .499 or later work better?

What driver?
Comment 5 H.J. Lu 2004-08-05 16:33:13 EDT
.503 kernel seems OK.
Comment 6 Steven Stern 2004-08-07 14:44:11 EDT
Saturday  is my day to backup my Windows system to the Linux box, and
vice versa.  I started the backup from Windows this morning.  Backup
estimated that it would take 18 hours to move the 1.9GB from Windows
to Linux via Samba.  Usually, the estimate is about 43 minutes.

I rebooted both boxes and got the same estimate. I then rebooted the
Linux machine from kernel 2.6.7-1.494 to kernel 2.6.6-1.435.  With the
older kernel, the backup time was back to a bit more than 40 minutes.

I don't see any difference in the report from ifconfig for either kernel.
Comment 7 H.J. Lu 2004-08-09 12:23:01 EDT
.509 kernel seems bad.
Comment 8 Bob Miller 2004-08-12 15:03:23 EDT
Network very slow on some web pages (e.g., CBS Market Watch) on
2.6.7-1.494. Reverting back to a 2.6.6 kernel solves the problem
Comment 9 Bob Miller 2004-08-16 13:29:49 EDT
Tested kernel 2.6.8 with same slow results. Running Dell D600 laptop.
Comment 10 Bob Miller 2004-08-16 16:43:13 EDT
Solution found under bug 126626. Need to set a couple of values under
ipv4 directory. See last post in the bug comments. 

# echo 0 > /proc/sys/net/ipv4/tcp_default_win_scale
# echo 0 > /proc/sys/net/ipv4/tcp_moderate_rcvbuf

It seems that the 2.6.7 kernel changed these values from those in
2.6.6, which resulted in the slowdown. There is some suspicion that
the problem is not with the 2.6.7 kernel, but possibly with the Cisco
firewalls that may not recognize (or handle) the
tcp_default_win_scale=7 value in the 2.6.7 kernel. 
Comment 11 Dave Jones 2004-11-26 23:42:09 EST
the latest 2.6.9 kernels should be behaving correctly now, without editing that
sysctl. Please reopen if this isnt the case.

Note You need to log in before you can comment on or make changes to this bug.